mediumOPENAPI_MISSING_OPERATION_ID
3 operations lack operationId
Add stable operationId values for client and MCP correlation.
GET https://paperboy.platphormnews.com/api/docs
HTTP 200
Content-Type: application/json
99 ms
Digest: sha256:2449babb3bdf1803beac8bb6a94863954a4036b0e8c12a1e88267eea25721000
Preview: {"openapi":"3.0.3","info":{"title":"-paperboy API","version":"1.0.0","description":"Discovery and health endpoints for -paperboy","termsOfService":"https://-paperboy.platphormnews.com/terms"},"servers":[{"url":"https://-paperboy.platphormnews.com","description":"Production"}],"paths":{"/api/health":{"get":{"summary":"Health check","responses":{"200":{"description":"ok"}}}},"/api/v1/health":{"get":{"summary":"Health check v1","responses":{"200":{"description":"ok"}}}},"/api/v1/mcp":{"get":{"summary":"MCP configuration","responses":{"200":{"description":"mcp config"}}}}}}highMCP_METADATA_INVALID
JSON response lacks usable MCP metadata
Expose protocol version, endpoint, server identity, or capabilities.
GET https://paperboy.platphormnews.com/api/mcp
HTTP 200
Content-Type: application/json
94 ms
Digest: sha256:cf83925be31aba5fd8e5071531041033d2499af17b3d721e674cd4671c0b4c17
Preview: {"ok":true,"data":{"server":{"name":"platphorm-paperboy","version":"1.0.0"},"endpoint":"https://paperboy.platphormnews.com/api/mcp","protocol":"JSON-RPC 2.0","protocolVersion":"2024-11-05","status":"introspection_only","capabilities":{"tools":[],"resources":[],"prompts":[]},"limitations":["No product MCP handlers are registered in this deployment."],"methods":["initialize","ping","tools/list","tools/call","resources/list","resources/read","prompts/list","prompts/get"]}}mediumMCP_CANONICAL_HOST_MISMATCH
MCP manifest points at a different hostname
Expected paperboy.platphormnews.com; observed platphorm-paperboy.platphormnews.com.
GET https://paperboy.platphormnews.com/.well-known/mcp.json
HTTP 200
Content-Type: application/json; charset=utf-8
47 ms
Digest: sha256:73d30521ece07bf25819a75e9195b4261dabeca33f7ec6c1e5e6316c363649c7
Preview: {
"description": "MCP manifest for Paperboy",
"updatedAt": "2026-07-19T01:53:51Z",
"name": "Paperboy",
"transport": "https",
"discoveryUrl": "https://platphorm-paperboy.platphormnews.com/.well-known/mcp.json",
"apiUrl": "https://platphorm-paperboy.platphormnews.com/api/mcp",
"protocol": "json-rpc-2.0",
"version": "1.0.0"
}